<template>
  <div class="field">
    <label class="label has-text-left">Input</label>
    <div :class="control">
      <input
        :class="{
          input: true,
          'is-danger': !isInputValid,
          'is-success': isInputValid
        }"
        type="text"
        placeholder="Type Some Text"
        v-model="inputValue"
      />
    </div>
  </div>
</template>

<script>
export default {
  name: 'TextInput',
  data() {
    return {
      inputValue: ''
    };
  },
  computed: {
    isInputValid() {
      return this.inputValue.length < 5 ? false : true;
    }
  }
};
</script>
